Public Member Functions | Public Attributes | List of all members
libebook::RocketEBookHeader::Entry Struct Reference

`#include <RocketEBookHeader.h>`

## Public Member Functions
| Entry ()

## Public Attributes
std::string | name
unsigned | length
unsigned | offset
unsigned | flags

## Constructor & Destructor Documentation

## ◆ Entry()

libebook::RocketEBookHeader::Entry::Entry | ( |  | ) |

## Member Data Documentation

## ◆ flags

unsigned libebook::RocketEBookHeader::Entry::flags

Referenced by libebook::RocketEBookHeader::readDirectory().

## ◆ length

unsigned libebook::RocketEBookHeader::Entry::length

Referenced by libebook::RocketEBookHeader::readDirectory().

## ◆ name

std::string libebook::RocketEBookHeader::Entry::name

Referenced by libebook::RocketEBookHeader::readDirectory().

## ◆ offset

unsigned libebook::RocketEBookHeader::Entry::offset

Referenced by libebook::RocketEBookHeader::readDirectory().

The documentation for this struct was generated from the following files:

- RocketEBookHeader.h
- RocketEBookHeader.cpp